APIs / Imovirtual / Search
Imovirtual: Search
Search from Imovirtual as JSON. 1 credit per successful call.
GET /v1/imovirtual/search
Parameters
Send parameters in the query string.
| Parameter | Type | Required | Allowed values |
|---|---|---|---|
transaction | string | Required | comprar, arrendar |
estate | string | Required | Any |
location | string | Optional | Up to 128 characters |
page | integer | Optional | Any |
limit | integer | Optional | 24, 36, 48, 72 |
priceMin | integer | Optional | Any |
priceMax | integer | Optional | Any |
areaMin | integer | Optional | Any |
areaMax | integer | Optional | Any |
Example request
curl "https://api.perceptlayer.com/v1/imovirtual/search?transaction=comprar&estate=apartamento&location=lisboa%2Flisboa&page=1&limit=24" \
-H "X-API-Key: $API_KEY"Run this endpoint in the playground with your own parameters. 1 credit per successful call; failed calls are free.